Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl.xpath
Class XPath

    java.lang.Object
      weblogic.apache.xerces.impl.xpath.XPath

Deprecated. please use JDK supplied XML parsers and transformers

    public class XPath

extends Object

Bare minimum XPath parser.

Nested Class Summary
`static class` | `XPath.Axis` Deprecated. Axis.
`static class` | `XPath.LocationPath` Deprecated. A location path representation for an XPath expression.
`static class` | `XPath.NodeTest` Deprecated. Node test.
`static class` | `XPath.Step` Deprecated. A location path step comprised of an axis and node test.

Field Summary
`protected String` | `fExpression` Deprecated. Expression.
`protected XPath.LocationPath[]` | `fLocationPaths` Deprecated. Location paths.
`protected SymbolTable` | `fSymbolTable` Deprecated. Symbol table.

Constructor Summary
`XPath(String xpath, SymbolTable symbolTable, NamespaceContext context)` Deprecated. Constructs an XPath object from the specified expression.

Method Summary
`XPath.LocationPath` | `getLocationPath()` Deprecated. Returns a representation of the first location path for this XPath.
`XPath.LocationPath[]` | `getLocationPaths()` Deprecated. Returns a representation of all location paths for this XPath.
`static void` | `main(String[] argv)` Deprecated. Main program entry.
`String` | `toString()` Deprecated. Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fExpression

    protected String fExpression

  Deprecated.
  Expression.

### fSymbolTable

    protected SymbolTable fSymbolTable

  Deprecated.
  Symbol table.

### fLocationPaths

    protected XPath.LocationPath[] fLocationPaths

  Deprecated.
  Location paths.

Constructor Detail

### XPath

    public XPath(String xpath,
                 SymbolTable symbolTable,
                 NamespaceContext context)
          throws XPathException

  Deprecated.
  Constructs an XPath object from the specified expression.

  Throws:
    `XPathException`

Method Detail

### getLocationPaths

    public XPath.LocationPath[] getLocationPaths()

  Deprecated.
  Returns a representation of all location paths for this XPath. XPath = locationPath ( '|' locationPath)

### getLocationPath

    public XPath.LocationPath getLocationPath()

  Deprecated.
  Returns a representation of the first location path for this XPath.

### toString

    public String toString()

  Deprecated.
  Returns a string representation of this object.

  Overrides:
    `toString` in class `Object`

### main

    public static void main(String[] argv)
                     throws Exception

  Deprecated.
  Main program entry.

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD